#include<bits/stdc++.h>

using namespace std;

string s[20];
int n,m;
int main()
{
	cin>>n>>m;
	for(int i=0;i<n;i++)
	{
		cin>>s[i];
	}
	for(int i=0;i<n;i++)
	 s[i][i]='C';
	for(int i=0;i<n;i++)
	 cout<<s[i]<<"\n";
	return 0;
}